# Generated by Django 3.1.2 on 2020-12-02 14:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Command',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('is_disabled', models.BooleanField(default=False)),
                ('is_pending', models.BooleanField(default=False)),
                ('is_running', models.BooleanField(default=False)),
                ('priority', models.IntegerField(default=0)),
                ('repeat_seconds', models.IntegerField(null=True)),
                ('started_at', models.DateTimeField(null=True)),
                ('completed_at', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'commands_manager_command',
            },
        ),
        migrations.CreateModel(
            name='Exc',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('exc_type', models.TextField()),
                ('exc_value', models.TextField()),
                ('exc_traceback', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'commands_manager_exc',
            },
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
            options={
                'db_table': 'commands_manager_group',
            },
        ),
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('started_at', models.DateTimeField()),
                ('completed_at', models.DateTimeField()),
                ('command', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='log_set', to='django_commands_manager.command')),
            ],
            options={
                'db_table': 'commands_manager_log',
            },
        ),
        migrations.AddIndex(
            model_name='group',
            index=models.Index(fields=['name'], name='commands_ma_name_7fcf7d_idx'),
        ),
        migrations.AddField(
            model_name='exc',
            name='command',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='exc_set', to='django_commands_manager.command'),
        ),
        migrations.AddField(
            model_name='command',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='command_set', to='django_commands_manager.group'),
        ),
        migrations.AddIndex(
            model_name='log',
            index=models.Index(fields=['command'], name='commands_ma_command_8b0367_idx'),
        ),
        migrations.AddIndex(
            model_name='log',
            index=models.Index(fields=['-completed_at'], name='commands_ma_complet_3b3f6f_idx'),
        ),
        migrations.AddIndex(
            model_name='exc',
            index=models.Index(fields=['command'], name='commands_ma_command_ed7f25_idx'),
        ),
        migrations.AddIndex(
            model_name='exc',
            index=models.Index(fields=['-created_at'], name='commands_ma_created_32dd36_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['group'], name='commands_ma_group_i_66158d_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['is_disabled'], name='commands_ma_is_disa_bb829d_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['is_pending'], name='commands_ma_is_pend_8b9feb_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['priority'], name='commands_ma_priorit_37067c_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='command',
            unique_together={('group', 'name')},
        ),
    ]
